---
title: Report.type
slug: Web/API/Report/type
tags:
  - API
  - Experimental
  - Property
  - Reference
  - Report
  - Reporting API
  - Type
---
<div>{{APIRef("Reporting API")}}{{seecompattable}}</div>

<p>The <strong><code>type</code></strong> read-only property of the {{domxref("Report")}} interface returns the type of report generated, e.g. <code>deprecation</code> or <code>intervention</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">let reportType = reportInstance.type
</pre>

<h3 id="Returns">Returns</h3>

<p>A string representing the type of the report. Currently the available types are <code>deprecation</code>, <code>intervention</code>, and <code>crash</code>.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">let options = {
  types: ['deprecation'],
  buffered: true
}

let observer = new ReportingObserver(function(reports, observer) {
  let firstReport = reports[0];
  // Log the first report's report type, i.e. "deprecation"
  console.log(firstReport.type);
}, options);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Reporting API','#dom-report-body','Report.body')}}</td>
   <td>{{Spec2('Reporting API')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.Report.body")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Reporting_API">Reporting API</a></li>
</ul>
